@import url('https://fonts.googleapis.com/css?family=Cabin|Herr+Von+Muellerhoff|Source+Sans+Pro:400,900&display=swap');
/*Global styles*/
*,
*::before,
*::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root{
    --main-font: 'Source Sans Pro', sans-serif;
    --secondary-font: 'Herr Von Muellerhoff', cursive;
    --body-font: 'Cabin', sans-serif;
    --main-font-color-dark: #252525;
    --secondary-font-color: #c59d5f;
    --body-font-color: #515151;
}


html{
    font-family: var(--body-font);
    font-size: 10px;
    color: var(--body-font-color);
    scroll-behavior: smooth;
}

body{
    overflow-x: hidden;
}

section{
    padding: 3.9rem 0;
    overflow:hidden;
}

.logo {
    max-width: 70%;
    margin-top: 15%;
}

a.logo {
    /* width: 100%; */
    /* max-width: 100%; */
    /* margin-top: 10%; */
}

a{
    text-decoration: none;
}

p{
    font-size: 1.6rem;
}

.container{
    width: 100%;
    max-width: 122.5rem;
    margin-right: auto;
    margin-left: 2%;
    padding: 0 2.4rem;
}

/* header */
header{
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, .5), transparent);
}

nav{
    height: 7.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-toggle{
    color: #fff;
    font-size: 2.2rem;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 2.5rem;
    cursor: pointer;
    z-index: 1500;
}

.fa-times{
    display: none;
}

.nav-list{
    list-style: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 80%;
    height: 100vh;
    background-color: var(--main-font-color-dark);
    padding: 4.4rem;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    z-index: 1250;
    transform: translateX(-100%);
    transition: transform .5s;
}

.nav::before{
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, .8);
    z-index: 1000;
    opacity: 0;
    transform: scale(0);
    transition: opacity .5s;
}

.open .fa-times{
    display: block;
}

.open .fa-bars{
    display: none;
}

.open .nav-list{
    transform: translateX(0);
}

.open .nav::before{
    opacity: 1;
    transform: scale(1);
}

.nav-item{
    border-bottom: 2px solid rgba(255, 255, 255, 3);
}

.nav-link{
    display: block;
    color: #fff;
    text-transform: uppercase;
    font-size: 1.6rem;
    letter-spacing: 2px;
    margin-right: -2px;
    transition: color.5s;
}

.nav-link:hover{
    color: var(--secondary-font-color);
}


/****(page d'accueil) ******/
.page-acceuil{
    width: 100%;
    height: 100vh;
    background: url("/static/images/hero.jpg");
    background-attachment: fixed;
    background-size: cover;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
}

/****(autres pages) ******/
.hero2{
    width: 100%;
    height: 100vh;
    background: url("regform/static/images/hero.jpg") center no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    text-align: left;
    justify-content: center;
}

/* titre et déco pages */
.sub-headline{
    font-size: 8.5rem;
    font-family: var(--secondary-font);
    color: var(--secondary-font-color);
    font-weight: 100;
    line-height: .4;
    letter-spacing: 2px;
    opacity: 0;
    animation: fadeUp .5s forwards;
    animation-delay: .5s;
}

.first-letter{
    text-transform: uppercase;
    font-size: 12.2rem;
}

.headline{
    color: #fff;
    font-size: 3.7rem;
    font-family: var(--main-font);
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: .5rem;
    margin-right: -.5rem;
    animation: scale .5s forwards;
}

.separator{
    display: flex;
    align-items: center;
    justify-content: center;
}

.line{
    width: 100%;
    max-width: 8.4rem;
    height: .25rem;
    background-color: #fff;
    position: relative;
    opacity: 0;
    animation: grow 2s forwards;
    animation-delay: .9s;
}

.line-right::before,
.line-left::before{
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    border: .6rem solid transparent;
    opacity: 0;
    animation: grow .5s forwards;
    animation-delay: 1.2s;
}

.line-right::before{
    border-right-color: #fff;
    right: 0;
}

.line-left::before{
    border-left-color: #fff;
    left: 0;
}

.asterisk{
    font-size: 1.2rem;
    color: var(--secondary-font-color);
    margin: 0 1.6rem;
    opacity: 0;
    animation: spin .5s forwards;
    animation-delay: .7s;
}
.asterisk-white{
    font-size: 1.2rem;
    color: var(--secondary-font-color);
    margin: 0 1.6rem;
    opacity: 0;
    animation: spin .5s forwards;
    animation-delay: .7s;
}

.single-animation{
    opacity: 0;
    animation: fadeDown .5s forwards;
    animation-delay: 1.5s;
}

.headline-description h5{
    color: #fff;
    font-size: 1.4rem;
    text-transform: uppercase;
    margin-bottom: 1.2rem;
    letter-spacing: 3px;
    margin-right: -3px;
}

/* bouton page acceuil */

.btn{
    display: inline-block;
    text-transform: uppercase;
    letter-spacing: 2px;
    margin-right: -2px;
}

.cta-btn{
    font-size: 1.1rem;
    background-color: #fff;
    padding: .9rem 1.8rem;
    color: var(--body-font-color);
    border-radius: .4rem;
    transition: background-color .5s;
}

.cta-btn:hover,
.cta-btn:focus{
    color: #fff;
    background-color: var(--secondary-font-color);
}

/* nutrition */
.global-headline{
    text-align: center;
    margin-top: 3.9rem;
}

.nutrition .global-headline{
    margin-top: 6.9rem;
}

.global-headline .asterisk{
    color: var(--body-font-color);
    margin: 2.4rem 0;
}

.headline-dark{
    color: var(--main-font-color-dark);
    letter-spacing: .7rem;
    margin-right: -.7rem;
}

.global-headline .sub-headline{
    letter-spacing: -1px;
    line-height: .42;
}

.nutrition-info{
    text-align: center;
}
.nutrition-description{
    margin-bottom: 3rem;
}

.nutrition-description p{
    line-height: 1.6;
    margin-bottom: 2.4rem;
}


/* boutton plus d'info */

.body-btn{
    font-size: 1.5rem;
    color: var(--secondary-font-color);
    position: relative;
    transition: color .5s;
}

.body-btn::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    height: 2px;
    background-color: var(--secondary-font-color);
    transition: background-color .5s;
}

.body-btn:hover,
.body-btn:focus{
    color: var(--main-font-color-dark);
}

.body-btn:hover::before,
.body-btn:focus::before{
    background-color:  color: var(--main-font-color-dark);
}

/* les bonnes recettes */
.les-bonnes-recettes{
    height: 400px;
    background: url("/static/images/auspot1.png");
    background-attachment: fixed;
    background-size: cover;
}

.between{
    min-height: 65vh;
    display: flex;
    align-items: center;
}

/* decouvrir les recettes */
.image-group{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 1.5rem;
}

.decouvrir-les-recettes .nutrition-description{
    padding-top: 3rem;
    margin-bottom: 0;
}

/* les quatres saisons */
.les-quatres-saisons{
    height: 400px;
    background: url("/static/images/auspot2.png");
    background-attachment: fixed;
    background-size: cover;
}

/* footer */
footer{
    padding: 7.9rem 0;
    background-color: #121212;
    color: #fff;
    text-align: center;
    position: relative;
}

.back-to-top{
    width: 7rem;
    height: 7rem;
    background-color: #121212;
    position: absolute;
    top: -3rem;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 50%;
}

.back-to-top i{
    display: block;
    color: #fff;
    font-size: 2rem;
    padding: 2rem;
    animation: up 2s infinite;
}

.footer-content{
    overflow: hidden;
}

.footer-content h4{
    font-size: 1.9rem;
    text-transform: uppercase;
    font-weight: 100;
    letter-spacing: 3px;
    margin-bottom: 3rem;
}

.footer-content .asterisk{
    margin: 2.4rem 0;
}

.footer-content-about{
    margin-bottom: 5.4rem;
}

.footer-content-about p{
    line-height: 2;
}

.social-icons{
    list-style: none;
    margin-bottom: 5.4rem;
    display: flex;
    justify-content: center;
}

.social-icons i{
    font-size: 2rem;
    color: #fff;
    padding: .8rem 2rem;
    transition: color .5s;
}

.social-icons i:hover,
.social-icons i:focus{
    color: var(--secondary-font-color);
}

.newsletter-form{
    width: 100%;
    position: relative;
    display: flex;
    justify-content: center;
}

.newsletter-input{
    width: 100%;
    max-width: 25rem;
    padding: 1rem;
    border-radius: .4rem;
}

.newsletter-btn{
    background-color: transparent;
    border: none;
    color: var(--main-font-color-dark);
    cursor: pointer;
    font-size: 1.6rem;
    padding: 1px .6rem;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    margin-left: 10.5rem;
}

/* requet media */
@media screen and (min-width: 900px){
    section{
        padding: 7.9rem;
    }

    .menu-toggle{
        display: none;
    }

    .nav{
        justify-content: space-between;
    }

    .nav-list{
        position: initial;
        width: initial;
        height: initial;
        background-color: transparent;
        padding: 0;
        justify-content: initial;
        flex-direction: row;
        transform: initial;
    }

    .nav-item{
        margin: 0 2.4rem;
        border: none;
    }

    .nav-item:last-child{
        margin-right: 0;
    }

    .nav-link{
        font-size: 1.3rem;
    }

    .active{
        position: relative;
    }

    .active::before{
        content: '';
        position: absolute;
        width: 100%;
        height: 2px;
        background-color: #fff;
        left: 0;
        bottom: -3px;
    }

    .sub-headline{
        font-size: 10rem;
    }

    .first-letter{
        font-size: 12.2rem;
    }

    .headline{
        font-size: 4.7rem;
        letter-spacing: .8rem;
    }

    .line{
        max-width: 11.4rem;
    }

    .nutrition-info{
        display: flex;
        align-items: center;
    }

    .nutrition-info > div{
        flex: 1;
    }

    .padding-right{
        padding-right: 7rem;
    }

    .footer-content{
        max-width: 77.5rem;
        margin: auto;
    }

    .footer-content-about{
        max-width: 51.3rem;
        margin: 0 auto 5.4rem;
    }

    .footer-content-divider{
        display: flex;
        justify-content: space-between;
    }

    .social-media,
    .newsletter-form{
        width: 100%;
        max-width: 27.3rem;
        margin: 0 1rem;
    }

    .social-icons i{
        opacity: 1;
    }

    .newsletter-btn{
        margin-left: 7.5rem;
    }
}
/* animations */
@keyframes fadeUp {
    0%{
        transform: translateY(4rem);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes scale {
    0%{
        transform: scale(2);
    }
    100%{
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes grow {
    0%{
        width: 0;
    }
    100%{
        opacity: 1;
        width: 100%;
    }
}

@keyframes spin {
    0%{
        transform: rotate(0);
    }
    100%{
        opacity: 1;
        transform: rotate(-360deg);
    }
}

@keyframes fadeDown {
    0%{
        transform: translateY(-1rem);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes up {
    0%{
        opacity: 0;
    }
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        transform: translateY(-1rem);
    }
}

/* ALIMENTATION BIO */


.pourquoi_bio{
    opacity: 0;
    animation: fadeDown .5s forwards;
    animation-delay: 1.5s;
    color :#fff;

}


#pourquoi
{
    font-size: 3.7rem;
    font-family: var(--main-font);
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: .5rem;
    margin-right: -.5rem;
    animation: scale .5s forwards;
}

.nutrition-info{
    display: flex;
    align-items: center;
}

/* SAISONNALITE*/

.box {
    width: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
}

.content_fruits
{
    width: 20%;
    height: 25%;
    border: solid 5px rgb(0,0,0,0.7);
    background-color: rgb(0,0,0,0.5);

    border-radius: 25px;
    padding: 20px;
    margin: auto;
}

.content_legumes
{
    width: 20%;
    height: 25%;
    border: solid 5px rgb(0,0,0,0.7);
    background-color: rgb(0,0,0,0.5);

    border-radius: 25px;
    padding: 20px;
    margin: auto;
}

.content_saisons
{
    width: 10%;
    height: 25%;
    border: solid 5px rgb(0,0,0,0.7);
    background-color: rgb(0,0,0,0.5);

    border-radius: 25px;
    padding: 20px;
    margin: auto;
}

.content_titre
{
    text-align: center;
    color: white;
    text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkblue;
    background-color: rgb(0,0,0,0.7);
    border-radius: 25px;
    margin: auto;

}

.content_ul{
    width: 40%;
    height: 70%;
    text-align: center;
    list-style: circle;
    margin: auto;
}

.content_li{
    color: #fff;
    font-weight:bold;
    text-decoration: gold;
    text-align: center;
    font-style :5rem;
    font-size :2em;
}

.content_article{
    width: 25%;
    height: auto;
    font-weight:bolder;
    background-color: rgb(0,0,0,0.7);
    border-radius: 25px;
    margin: auto;
    padding: 20px;
}

.content_p{
    color: #fff;
    background-color: rgb(0,0,0,0.5);
    font-size :2em;
}


/* LISTE ALIMENTS */


.selection_aliments{
    width: 100%;
    height: 100vh;
    background-color: #F6F1B3;
    background-size: cover;
    display: flex;

}

.bloc {
    width: 25%;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    height: 80%;
    overflow:auto;

}

.bloc2 {
    width: 25%;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    height: 80%;
}

.bloc3 {
    width: 25%;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    height: 80%;
}

.liste_viandes {
    color : black;
    font-size :2em;
    height: 100%;
    padding : 5px;
    width: 300px;
}

.liste_fromages{
    color : black;
    font-size :2em;
    height: 100%;
    padding : 5px;
    width: 300px;
}

.liste_legumes{
    color : black;
    font-size :2em;
    height: 100%;
    padding : 5px;
    width: 300px;

}

.liste_allergies{
    color : black;
    font-size :2em;
    height: 100%;
    padding : 5px;
    width: 300px;

}

.liste_fruits{
    color : black;
    font-size :2em;
    height: 100%;
    padding : 5px;
    width: 300px;

}

button1 {
    width: 150px;
    font-size: 1.1rem;
    line-height: 2;
    border-radius: 10px;
    border: none;
    background-image: linear-gradient(to bottom right, #777, #ddd);
    box-shadow: 1px 1px 1px black,
    inset 2px 3px 5px rgba(0,0,0,0.3),
    inset -2px -3px 5px rgba(255,255,255,0.5);
}



.ressenti{
    background-color: #F6F1B3;
    width: 25%;
    height: 100%;
}

.ressenti_choix{
    background-color: #F6F1B3;
    width: 25%;
    height: auto;
}

.btn2{
    display: inline-block;
    text-transform: uppercase;
    letter-spacing: 2px;
    margin-right: -2px;
}

.body-btn2{
    font-size: 1.5rem;
    color: var(--secondary-font-color);
    position: relative;
    transition: color .5s;
}


/* CONNEXION */

.bloc_connexion_inscription{
    border-radius: 5px;
    padding: 15px;
    width: fit-content;
    margin: auto;
    display: block;
    margin-top: 100px;
    margin-bottom: 100px;
    background: white;
}

.bloc_descrip_connexion_inscription{
    padding: 10px;
    width: fit-content;
    margin: auto;
    display: block;
    margin-top: 5%;
    background: white;
}

/* formulaire renseignement */
*{
    margin: 0;
    padding: 0;
}

body{
    background-position: center;
    background-size: cover;
}

.regForm{
    font-size: 15px;
    position: absolute;
    width: 75%;
    background-color: white;
    margin: auto;
    color: black;
    padding: 10px 0px 10px 0px;
    text-align: center;
    font-family: var(--body-font);
}

.main{
    background-color: rgb(0,0,0,0.5);
    width: 550px;
    margin: auto;
    border-radius: 0px 0px 35px 35px;
}

form{
    padding: 10px;
}

#name{
    width: 100%;
    height: 100px;
}

.name{
    margin-left: 25px;
    width: 125px;
}

#txbl{
    width: 100%;
    height: 100px;
}

.txbl{
    width: 550px;
    margin: auto;
    color: #fff;
    padding: 10px 0px 10px 0px;
    text-align: center;
    border-radius: 35px 35px 0px 0px;
    font-family: var(--main-font);
}

.txbl-titre{
    margin-left: -20px;
    margin-top: 30px;
    width: 305px;
    color: white;
    font-size: 18px;
    font-weight: 700;
    font-family: var(--main-font);
}

.renseignement{
    position: relative;
    /* left: 70px; */
    /* top: -37px; */
    line-height: 40px;
    /* width: 300px; */
    border-radius: 6px;
    padding: 0 22px;
    font-size: 16px;
    color: #555;
}

.email{
    left: 70px;
    top: -37px;
    line-height: 40px;
    width: 300px;
    border-radius: 6px;
    padding: 0 22px;
    font-size: 16px;
    color: #555;
}

.password{
    position: relative;
    left: 70px;
    top: -37px;
    line-height: 40px;
    width: 300px;
    border-radius: 6px;
    padding: 0 22px;
    font-size: 16px;
    color: #555;
}

.option{
    position: relative;
    left: 70px;
    top: -37px;
    line-height: 40px;
    width: 300px;
    height: 40px;
    border-radius: 6px;
    padding: 0 22px;
    font-size: 16px;
    color: #555;
    outline: none;
    overflow: hidden;
}

.option option{
    font-size: 20px;
}

#genre{
    margin-left: -350px;
    color: white;
    font-size: 18px;
    font-family: var(--main-font);
}

.radio{
    display: inline-block;
    padding-right: 50px;
    font-size: 20px;
    margin-left: -35px;
    margin-top: 15px;
    color: white;
}

.radio input{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    cursor: pointer;
    outline: none;
}

/* GRAPHIQUE */

.bloc_descrip{
    padding: 10px;
    width: fit-content;
    margin: auto;
    display: block;
    margin-top: 5%;
    background: white;
}
.graph_select {
    margin: auto;
    height: 35px;
    margin-bottom: 20px;
    min-width: 30%;
}

.bloc_petit{
    border-radius: 5px;
    padding: 15px;
    width: fit-content;
    margin: auto;
    display: block;
    margin-top: 5%;
    background: white;
}

.bloc_graph {
    border-radius: 5px;
    padding: 15px;
    width: 80%;
    margin: auto;
    display: block;
    margin-bottom: 20px;
    background: white;
    text-align: center;
}

.dataframe data{
    color: #fff;
}
.spacer{
    width: 45%;
    margin: auto;
    margin-bottom: 20px;
}
.block{
    display: block;
    margin-bottom: 20px;
}
.blue {
	color: #0074d9 !important;
}
.mb1 {
	margin-bottom: .5rem;
}
.btn-outline {
	border-radius: 3px;
}
.btn-outline, .btn-outline:hover {
	border-color: currentcolor;
}
.btn, .btn:hover {
	text-decoration: none;
}
.btn {
	font-family: inherit;
	font-size: inherit;
	font-weight: 700;
	cursor: pointer;
	display: inline-block;
	line-height: 1.125rem;
	padding: .5rem 1rem;
	margin: 0;
	height: auto;
	border: 1px solid transparent;
	vertical-align: middle;
	-webkit-appearance: none;
	color: inherit;
	background-color: transparent;
}
input.price {
	padding-left: 5px;
	height: 24px;
}
table.dataframe {
	margin: auto;
	width: 90%;
}
th {
  text-align: center;
  padding: 8px;
  background-color: white;
  color: black;
}

td {
  text-align: left;
  padding: 8px;
}

tr:nth-child(even){background-color: #D4D8FA} /* bleu */
tr:nth-child(odd){background-color: #E2E2E2} /* gris */


img.dataimg {
	width: 80%;
	border-radius: 5px;
}
.regFormLine {
    /* display: block; */
    background: white;
    border-radius: 5px;
    height: 65px;
    margin: auto;
    text-align: center;
    width: 80%;
    padding-top: 8px;
    margin-top: 5%;
    margin-bottom: 20px;
}
.analytics {
	width: 100%;
	background: url(/static/images/hero.jpg);
	background-attachment: fixed;
	background-size: cover;
	align-items: center;
	text-align: center;
	justify-content: center;
}
.align-table{
    margin-bottom: 20px;
}

.graph_select_line {
	margin: auto;
	height: 35px;
	margin-bottom: 20px;
	min-width: 20%;
}